Bug 169260 - CVE-2005-3055 async usb devio oops
CVE-2005-3055 async usb devio oops
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
: Security
Depends On:
Blocks: 181409 185624
  Show dependency treegraph
Reported: 2005-09-26 05:32 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-10 17:21:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Candidate #1 - Linus' patch adapted to RHEL 4 (5.12 KB, patch)
2005-10-15 00:40 EDT, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2005-09-26 05:32:48 EDT
Harald Welte mailed the lkml on 20050925 with a report of how to cause a local
oops if a user has permissions to access an arbitrary usb device.  I've rated
this as 'moderate' instead of 'important' due to that requirement.  Although usb
permissions will be given automatically to console users, a DOS from a user who
has physical access to a machine is little extra risk and we ignore that from
the severity calculation.

See the following URL for the description and patch
Comment 4 Pete Zaitcev 2005-10-15 00:40:40 EDT
Created attachment 120010 [details]
Candidate #1 - Linus' patch adapted to RHEL 4
Comment 5 Pete Zaitcev 2005-10-15 00:44:39 EDT
Regarding my proposal of checking if we still belong to the same process group
(or equivalent), it probably is not worth pursuing. Even if I were able to
work out kinks, it does not offer any decisive advantages over Linus' idea
of checking UID/EUID (as implemented by Harald).
Comment 8 Jason Baron 2006-04-03 13:42:14 EDT
committed in stream U4 build 34.11. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 9 Bob Johnson 2006-04-11 13:19:45 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 13 Red Hat Bugzilla 2006-08-10 17:21:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.